tusheng video
Generate a video using the picture as the starting frame. After submission, the task id is returned and polled through GET /runwayml/v1/tasks/{task_id}. Official documentation:…
POST
/runwayml/v1/image_to_videoBody Parametersapplication/json
duration integer
Video duration (seconds)
model* string
Model name
promptImage* oneOf
First-frame / reference image
promptText string
Campaign/Content Description Prompt Words
ratio* string
Video aspect ratio
seed integer
random seed
watermark boolean
Whether to add watermark
Responses
200 application/json
response-200 object
Runway image-to-video task object after submit (matches official task shape)
properties batch_id string
Batch ID
created_at string
Creation time
id* string
Task ID
prompt string
Text prompt
state* string
Task status, e.g. pending / succeeded / failed
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"duration": 5,
3"model": "gen4_turbo",
4"promptImage": "https://example.com/start-frame.jpg",
5"promptText": "The camera slowly zooms in",
6"ratio": "1280:720"
7}
1curl -X POST "https://api.digislash.com/runwayml/v1/image_to_video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"duration": 5,
6"model": "gen4_turbo",
7"promptImage": "https://example.com/start-frame.jpg",
8"promptText": "The camera slowly zooms in",
9"ratio": "1280:720"
10}'
1▼{
2"batch_id": "",
3"created_at": "2024-12-22T13:38:40.139Z",
4"id": "4665a07c-7641-4809-a133-10786201bb56",
5"prompt": "",
6"state": "pending"
7}
